
import { _decorator, Component, Node } from 'cc';
import NetBase from '../script/base/netBase';
const { ccclass, property } = _decorator;

// 网络请求业务类
export default class Network extends NetBase {

    // 请求版本信息
    public static getOnlineVersion(url:string, callback:Function){
        NetBase.GET(url, null, function (type:number, data:string) {
            if(callback){
                callback(type, data);
            }
        }.bind(this), true);
    }
   // 登陆, 用户名,密码,登陆方式:1.账号密码登陆,2:短信验证码登陆
    public static login(user:string,password:string,loginType:number){

    }

}